gcpSetColorfulPalette(3)

NAME
gcpSetColorfulPalette : Set a palette with a full range of all colors

SYNOPSIS
#include <ggi/gcp.h>
int gcpSetColorfulPalette(ggi_visual_t vis);

DESCRIPTION
LibGGIGCP guarantees that there will be a default palette when a palettized mode is set. What this default is, however, is dependent on the visual. For example, the X target deliberately avoids setting all colors to avoid color-flashing when moving between windows. Applications that want to ensure that they have a full scale of all colors can call gcpSetColorfulPalette after mode set. This function uses a smarter color allocation scheme, causing good colors but still minimal flashing in windowed targets.

RETURN VALUE
gcpSetColorfulPalette returns the number of the first entry changed. <0 indicate ggi-error(3).

SEE ALSO
gcpSetRGBAPalette(3), gcpSetYUVPalette(3), gcpSetCMYKPalette(3), gcpSetHSVPalette(3), gcpSetYCCPalette(3)